Bug 1157426 - upstream test suite doesn't work
Summary: upstream test suite doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-ldap
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Christian Heimes
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 09:08 UTC by David Spurek
Modified: 2020-12-15 07:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-15 07:31:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Spurek 2014-10-27 09:08:03 UTC
Description of problem:
upstream test suite doesn't work

My steps:
1. download and install src.rpm
2. rpmbuild -bc $HOME/rpmbuild/SPECS/python-ldap.spec; cd $HOME/rpmbuild/BUILD/python-ldap*
3. python setup.py build
4. python setup.py test
[test]python setup.py test
defines: HAVE_SASL HAVE_TLS
extra_compile_args: -g
extra_objects:
include_dirs: /usr/include/sasl
libs: ldap_r
running test


script only write 'running test' on the screen but nothing happens. I guess this should work.

I tried to run directly runtest.sh in Tests ($HOME/rpmbuild/BUILD/python-ldap*/Tests) directory but it 'simply' doesn't work as well.
I tried following changes which helped me with some errors but there are still some problems.

My modifications:
1. manually create /var/tmp/python-ldap-test/ldif-data directory
2. change PATH_SCHEMA_CORE variable from "/etc/ldap/schema/core.schema" to "/etc/openldap/schema/core.schema" in slapd.py

bash runtest.sh now fails with following error:
[test]bash runtests.sh
t_cext.py:
EEEEEEEEEEEEEEEEE.EEEE.
======================================================================
ERROR: test_abandon (__main__.TestLdapCExtension)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "t_cext.py", line 208, in test_abandon
    l = self._init()
  File "t_cext.py", line 42, in _init
    result,pmsg,msgid,ctrls = l.result3(m, _ldap.MSG_ONE, self.timeout)
AttributeError: result3


Version-Release number of selected component (if applicable):
python-ldap-2.4.15-2.el7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Petr Spacek 2016-04-25 08:24:34 UTC
Note: upstream CVS contains file Tests/runtests.sh which is not included in the tarball. I've asked upstream to include the file:
https://mail.python.org/pipermail/python-ldap/2016q2/003761.html

Comment 4 Christian Heimes 2019-03-21 10:39:23 UTC
The latest upstream releases contain more fixes for test suite. I would prefer to fix this bug as part of a rebase to a more recent version of python-ldap.

Comment 6 RHEL Program Management 2020-12-15 07:31:40 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.